Get prompt versions
Get all versions of a prompt
GET
/v1/projects/{projectId}/prompts/{name}/versionsAuthorization
AuthorizationPersonal API key · headerrequiredYour personal API key from Settings > Personal API Keys, sent as Bearer <key>.
X-Organization-IdOrganization ID · headerrequiredThe organization to act in. Copy it with Copy organization ID in the organization menu or the settings sidebar.
Path parameters
projectIdstringrequirednamestringrequiredResponses
200
Response for status 200
versionsPromptCommitInfo[]requiredShow propertiesHide properties
Array of
PromptCommitInfonamestringrequiredpromptstringrequiredtagsstring[]requiredcommit_idstringrequiredparent_commit_idstring | nullrequiredShow propertiesHide properties
Any of:
string
stringnull
nullcreated_atstringrequiredfirst_namestringrequiredlast_namestringrequireduser_emailstringrequired404
Response for status 404
errorstringrequiredmessagestringcodestringdetailsstring[]